PrefabFiles = {
    "betterstafflight",
}

local loc = GLOBAL.require "languages/loc"

local IS_CHINESE = false

if loc.GetLanguage() and loc.GetLanguage() == 22 or loc.GetLanguage() == 23 then

    IS_CHINESE = true

end

local CounterfeitAmount = GetModConfigData("CounterfeitAmount")

GLOBAL.STRINGS.NAMES.BETTERSTAFFLIGHT = not IS_CHINESE and "Giant Star" or "巨星"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.BETTERSTAFFLIGHT = not IS_CHINESE and "A star with substantially larger radius and luminosity than a dwarf star of the same surface temperature." 
                                                                             or "一颗半径和亮度都比矮星大，但却有相同表面温度的恒星。"

AddPrefabPostInit("yellowstaff", function(inst)
    
    local function newCreatelight(staff, target, pos)
        local light = GLOBAL.SpawnPrefab("betterstafflight")
        light.Transform:SetPosition(pos.x, pos.y, pos.z)
        staff.components.finiteuses:Use(1)

        local caster = staff.components.inventoryitem.owner
        if caster and caster.components.sanity then
            caster.components.sanity:DoDelta(-TUNING.SANITY_MEDLARGE)
        end

    end

    inst.components.spellcaster:SetSpellFn(newCreatelight)

end)
